package telinc.telicraft.api;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.inventory.InventoryCrafting;
import net.minecraft.item.ItemStack;

public interface IAdvancedCraftingTableHandler {
    /**
     * Called when an item is pulled out of the Advanced Crafting Table.
     * 
     * @param player The player who pulled the item out.
     * @param itemstack The item pulled out.
     * @param craftMatrix The InventoryCrafting that belongs to the ACT.
     */
    void onItemCrafted(EntityPlayer player, ItemStack itemstack, InventoryCrafting craftMatrix);
}