package telinc.telicraft.api.event.entity.meteor;

import net.minecraftforge.event.Cancelable;
import net.minecraftforge.event.Event;

import telinc.telicraft.entity.EntityMeteorBombPrimed;

/**
 * Called when a Meteor Bomb is about to explode. If canceled, the bomb will set its fuse to 20 (1 second), so it can try to explode again.
 */
@Cancelable
public class MeteorBombExplodeEvent extends Event {
    /**
     * The Meteor Bomb entity.
     */
    public final EntityMeteorBombPrimed bomb;
    
    public MeteorBombExplodeEvent(EntityMeteorBombPrimed bomb){
        this.bomb = bomb;
    }
}